*
      subroutine make_file(cfile,nfile,croot,nc,iloop,chead)
*
* make_file: Create a file name of the type file_NN_LLL.in or
*            .out
*
      implicit none
*
* Arguments
*    cfile = c*(*) = name of file returned
*    nfile = i*4   = length of file name returned
*    croot = c*(*) = root name
*    nc    = i*4   = number of charges
*    iloop = i*4   = index of file
*    chead = c*(*) = ".in" or ".out"
*
      character*(*) cfile,chead,croot
      integer*4     nfile,nc,iloop
*
* Local variables
*    cform = c*132 = format for file-name
*    i1    = i*4   = number of characters for nc 
*    i2    = i*4   = number of characters for iloop
*    nhead = i*4   = length of head string
*    nroot = i*4   = length of root string
*
      character*132 cform
      integer*4     i1,i2,nhead,nroot
*    
      call strlen(croot,nroot)
      call strlen(chead,nhead)
*
      i1=1+alog10(float(nc))
      i2=1+alog10(float(iloop))
*
      if ((i1 .le.  0) .or.
     +    (i1 .ge. 10) .or.
     +    (i2 .le.  0) .or.
     +    (i2 .ge. 10)      ) then
        write (6,699)
      endif
*
      write (cform,100) i1,i2
*
      write (cfile,cform) croot(1:nroot),nc,iloop,chead(1:nhead)
*
      call strlen(cfile,nfile)
*
 100  format ("(a,'_',i",i1,",'_',i",i1,",a)")
*
 699  format (' * Warning: malformed file name likely *')
*
      end
