*
* compile_results.inc    Control parameters for compile_results
*
* Update history
*    v1.0  20-May-2004  Original version, from parameters.inc
*    v1.1  26-May-2004  Simplify
*
* Parameters
*    EABMAX = r*8  = maximum interaction energy
*    NXMAX  = i*4  = maximum number of parameters
*    RABMIN = r*8  = minimum particle-particle separation
*
      integer*4    NXMAX
      real*8       EABMAX,RABMIN
      parameter   (EABMAX=1.0d+04)
      parameter   (NXMAX =     64)
      parameter   (RABMIN=1.0d-02)
*
      save
*
