*
* eval.inc    Control parameters for minen
*
* Update history
*    v1.0  20-May-2004  Original version, from parameters.inc
*
* Parameters
*    EABMAX = r*8  = maximum interaction energy
*    ISIDES = i*4  = plot all point separation vectors?
*    ITERM  = i*4  = plot device
*    NCMAX  = i*4  = maximum number of charges
*    NLMAX  = i*4  = maximum number of optimization loops
*    NSAMPL = i*4  = number of samples for histogram
*    NXMAX  = i*4  = maximum number of parameters
*    RABMIN = r*8  = minimum particle-particle separation
*
      integer*4    ISIDES,ITERM,NCMAX,NLMAX,NSAMPL,NXMAX
      real*8       EABMAX,RABMIN
      parameter   (EABMAX=1.0d+04)
      parameter   (ISIDES=      1)
      parameter   (ITERM =     -3)
      parameter   (NCMAX =     32)
      parameter   (NLMAX =    128)
      parameter   (NSAMPL=   8192)
      parameter   (NXMAX =     64)
      parameter   (RABMIN=1.0d-02)
*
      save
*
