*
      program test
*
* test: Test file access
*
* Update history:
*    v1.0  19-May-2004  Original version
*
      implicit none
*
* Subprogrammes
*    iargc = i*4 function = number of arguments
*
      integer*4 iargc
      external  strhed,strlen
*
* Local variables
*    buff   = c*132 = input buffer
*    cfile  = c*132 = input file name
*    i1     = i*4   = counting variable
*    iopt   = i*4   = type of minimization to perform
*    nc     = i*4   = number of particles
*    ntitle = i*4   = length of title string
*
      character*132 buff,cfile
      integer*4     i1,ierror,iflag,nc,nfile,nloop
*
      write (6,600) 
*
* Get input file name
*
      if (iargc() .eq. 1) then
        call getarg(1,cfile)
        call strlen(cfile,nfile)
        write (6,601) cfile(1:nfile)
      else
        write (6,697)
        stop ' '
      endif
*
* Read from index file to next un-checked-out file line
*
      open (unit=4,name=cfile,status='old',iostat=ierror)
      if (ierror .ne. 0) then
        write (6,696)
        stop ' '
      endif
*
      dowhile (ierror .le. 0)
        read (4,400,iostat=ierror) buff
        if (ierror .eq. 0) then
          if (buff(1:1) .ne. '#') then
            read (buff,*) iflag,cfile
            if (iflag .le. 0) then
*
* This file contains the data for the next run. Report that
* the file is checked out.
*
              call strlen(cfile,nfile)
              write (6,602) cfile(1:nfile)
*
* Alter the checkout flag in the index file
*
              iflag=1
              write (buff,101) iflag,cfile(1:nfile)
              backspace 4
              call strlen(buff,nloop)
              write (4,401) buff(1:nloop)
*
* Set end-of-read flag
*
              ierror=1
*
            endif
          endif
        endif
      enddo
*
* Close index file
*
      close (unit=4)
*
 100  format (i2,1x,a)
 101  format (i2,' ''',a,'''')
*
 400  format (a)
 401  format (' ',a)
*
 600  format (' '/
     +        ' ',a/)
 601  format ('            Index file = ',a)
 602  format ('          Control file = ',a)
*
 696  format (' *** Error: index file access error ***')
 697  format (' Usage: test filename')
*
      end
